Bots
Create, configure, archive and restore bots. 9 endpoints
GET /bots
Example
bash
curl -X GET 'https://api.lexcetha.com/api/v1/bots' \
-H "Authorization: Bearer $LEX_TOKEN"POST /bots
Request body
| Field | Type | Required | Notes |
|---|---|---|---|
name | string | yes | length 1–80 |
description | string | length 0–500 | |
avatar | string | length 0–16 | |
character | object | ||
character.outfit | "default" | "casual" | "pro" | "cool" | "female" | yes | |
character.hat | string | pattern ^#[0-9a-fA-F]{6}$ | |
character.accessory | "none" | "glasses" | "sunglasses" | ||
defaultMode | "nalar" | "patih" | "cendikia" | ||
instructions | string | length 0–8000 | |
ownComputerAccess | boolean | ||
ttsVoice | string | null | ||
realtimeVoice | string | null |
Example
bash
curl -X POST 'https://api.lexcetha.com/api/v1/bots' \
-H "Authorization: Bearer $LEX_TOKEN" \
-H 'Content-Type: application/json' \
-d '{"name":"string"}'GET /bots/archived
Example
bash
curl -X GET 'https://api.lexcetha.com/api/v1/bots/archived' \
-H "Authorization: Bearer $LEX_TOKEN"GET /bots/{botId}
Parameters
| Field | Type | Required | Notes |
|---|---|---|---|
botId (path) | string | yes |
Example
bash
curl -X GET 'https://api.lexcetha.com/api/v1/bots/:botId' \
-H "Authorization: Bearer $LEX_TOKEN"PATCH /bots/{botId}
Parameters
| Field | Type | Required | Notes |
|---|---|---|---|
botId (path) | string | yes |
Request body
| Field | Type | Required | Notes |
|---|---|---|---|
name | string | length 1–80 | |
description | string | length 0–500 | |
avatar | string | length 0–16 | |
character | object | ||
character.outfit | "default" | "casual" | "pro" | "cool" | "female" | yes | |
character.hat | string | pattern ^#[0-9a-fA-F]{6}$ | |
character.accessory | "none" | "glasses" | "sunglasses" | ||
defaultMode | "nalar" | "patih" | "cendikia" | ||
instructions | string | length 0–8000 | |
ownComputerAccess | boolean | ||
ttsVoice | string | null | ||
realtimeVoice | string | null |
Example
bash
curl -X PATCH 'https://api.lexcetha.com/api/v1/bots/:botId' \
-H "Authorization: Bearer $LEX_TOKEN" \
-H 'Content-Type: application/json' \
-d '{}'DELETE /bots/{botId}
Parameters
| Field | Type | Required | Notes |
|---|---|---|---|
botId (path) | string | yes |
Example
bash
curl -X DELETE 'https://api.lexcetha.com/api/v1/bots/:botId' \
-H "Authorization: Bearer $LEX_TOKEN"GET /bots/{botId}/activity
Parameters
| Field | Type | Required | Notes |
|---|---|---|---|
botId (path) | string | yes |
Example
bash
curl -X GET 'https://api.lexcetha.com/api/v1/bots/:botId/activity' \
-H "Authorization: Bearer $LEX_TOKEN"POST /bots/{botId}/restore
Parameters
| Field | Type | Required | Notes |
|---|---|---|---|
botId (path) | string | yes |
Example
bash
curl -X POST 'https://api.lexcetha.com/api/v1/bots/:botId/restore' \
-H "Authorization: Bearer $LEX_TOKEN"DELETE /bots/{botId}/permanent
Parameters
| Field | Type | Required | Notes |
|---|---|---|---|
botId (path) | string | yes |
Example
bash
curl -X DELETE 'https://api.lexcetha.com/api/v1/bots/:botId/permanent' \
-H "Authorization: Bearer $LEX_TOKEN"